#language: ru

@purchase

Функционал: 002. Purchase. Дозаполнение данных для номенклатуры

Сценарий: 002.1. Purchase. Заполнение единиц измерения

	Дано Я подключаюсь под "Ведение номенклатуры"
	Дано я устанавливаю текущему сеансу заголовок приложения "08.002. Закупки"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. Purchase. Создание серий номенклатуры

	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	* Создание серии для сыра Адыгейского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'Сыр Адыгейский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И Я закрываю окно 'Сыр Адыгейский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание серии для сыра Костромского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Костромской' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И Я закрываю окно 'Сыр Костромской (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.3. Purchase. Создание номенклатуры с несколькими единицами измерения

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	* Номенклатура с одной доп. ед.
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Костромской' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Номенклатура (создание)'
		И в поле 'Рабочее наименование' я ввожу текст 'Сыр Костромской 1 доп. ед.'
		И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
		И из выпадающего списка "Ед. изм. 1" я выбираю по строке 'м'
		И я нажимаю на кнопку "Записать"
		Тогда открылось окно 'Сыр Костромской 1 доп. ед. (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Костромской 1 доп. ед. (Номенклатура)'
		И я нажимаю на кнопку 'Записать и закрыть'
		Тогда открылось окно 'Номенклатура'
	* Номенклатура с двумя доп. ед.
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Костромской' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Номенклатура (создание)'
		И в поле 'Рабочее наименование' я ввожу текст 'Сыр Костромской 2 доп. ед.'
		И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Две'
		И из выпадающего списка "Ед. изм. 1" я выбираю по строке 'м2'
		И я перехожу к следующему реквизиту
		И из выпадающего списка "Ед. изм. 2" я выбираю по строке 'м3'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку "Записать"
		Тогда открылось окно 'Сыр Костромской 2 доп. ед. (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Костромской 2 доп. ед. (Номенклатура)'
		И я нажимаю на кнопку 'Записать и закрыть'
		Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.4. Purchase. Завершение

	И я закрываю сеанс TESTCLIENT